UniFi 4.8.20 is released


#1

**How to play safe?**Make sure you always do a backup before any updates, especially if you plan to upgrade your existing installation.
Release Notes:

  • For people who are migrating from v3, there’re many changes to APIs and it’s not backward compatible. You may need to update the shell library (unifi_sh_api) and/or your customized portal/external portal code.

  • For hotspot management console, make sure you have bookmark the url with site name. For example: https://unifi.yourdomain.com:8443/hotspot/s/SITENAME

  • For Debian/Ubuntu users, please update your APT source (see HERE).

  • unifi-beta/unifi-rapid are obsoleted. The old repo has been removed.

  • to ensure you stay on the LTS release, please use ‘unifi4’ in your source file, instead of ‘stable’

  • If you had an IPSec Site-to-Site tunnel manually configured via config.gateway.json, you need to be aware that some formatting for the commands has changed, so this means that you’ll need to update your config.gateway.json manually and/or redo the CLI commands and dump the updated config (depending on your preferred method). It’s mentioned HERE (thanks @nlasch).
    **Known issues:**There is a known issue with Windows 7.

  • If there is no java installed at Windows 7 64bit, UniFi installer will redirect user to Oracle to install jre

  • Default Java runtime for Windows 7 64bit is 32bit JRE because default 32bit IE is on Windows 7 64bit

  • The SSO (after cloud enabled) does not work if user just installed 32bit JRE because we only support 64bit webrtc native library

Windows 8 does not include 32bit IE by default so it is fine. For Windows 7 users, you can go HERE and download the missing version (64bit offline Windows install package).
It has been reported that Cloud Access feature cannot work on Windows when it’s running as service. This is confirmed, and will be fixed.
Also worth noting that Cloud Access feature in this release is not supported on Linux/ARMv6 architecture (for example, Raspberry Pi 1). If you have problem starting controller on this platform, please remove the native library:sudo rm /usr/lib/unifi/lib/native/Linux/armhf/libubnt_webrtc_jni.so
Bugfixes/Changes from 4.8.18:

  • [CTLR] 修复了不能修改 admin 密码的问题 (reported HERE).
  • [CTLR]修复了 4.8.19 版本谷歌浏览器登录问题 (reported HERE).
  • [UAPG2] 限制频宽 debug 窗口到本地设备.
  • [UAP] 改善速率选择功能(see HERE (gen1) and HERE (gen2)).
  • [UAP] 修复了在UAP-OD/OD5/OD+上的以太网配置问题 .

Bundled Firmware:

Download:


#2

这版本信号还会丢失吗?